Package twisted :: Package xish :: Module xpathparser :: Class Parser

[frames | no frames]

## Class Parser

Known Subclasses:
  `XPathParser`

Base class for Yapps-generated parsers.

Method Summary
| `__init__(self, scanner)`
| ``_peek`(self, *types)` Returns the token type for lookahead; if there are any args then the list of args is the set of token types to allow
| ``_scan`(self, type)` Returns the matched text, and moves to the next token

Method Details

### _peek(self, *types)

Returns the token type for lookahead; if there are any args then the list of args is the set of token types to allow

### _scan(self, type)

Returns the matched text, and moves to the next token

Generated by Epydoc 2.0 on Sat May 15 20:08:57 2004 | http://epydoc.sf.net